Bug 165629 - rebuild fails on x86_64 and s390x
rebuild fails on x86_64 and s390x
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-terminal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 18:13 EDT by Ben Levenson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-11 11:38:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2005-08-10 18:13:05 EDT
Description of problem:
Platform ALL selected, but really only applies to s390x and x86_64.

gcc -I/usr/X11R6/include -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -DORBIT2=1
-I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/X11R6/include
-I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2
-I/usr/include/freetype2/config -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0
-I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/libgnomeui-2.0
-I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0
-I/usr/include/libart-2.0 -I/usr/include/libbonoboui-2.0
-I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0
-I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0
-I/usr/include/startup-notification-1.0 -O2 -g -pipe -m64 -Wall -o
gnome-terminal encoding.o profile-editor.o skey-popup.o terminal.o
terminal-accels.o terminal-profile.o terminal-screen.o terminal-widget-vte.o
terminal-window.o simple-x-font-selector.o eggaccelerators.o
eggcellrendererkeys.o -Wl,--export-dynamic -Wl,--rpath -Wl,/usr/lib64 
-L/usr/X11R6/lib64 -pthread eel/.libs/libeelcnp.a skey/.libs/libskey.a
-lglade-2.0 -lgnomeui-2 -lbonoboui-2 -lxml2 -lpthread -lgnomecanvas-2 -lgnome-2
/usr/lib/libpopt.so -lart_lgpl_2 -lpangoft2-1.0 -lbonobo-2 -lgconf-2
-lstartup-notification-1 -lvte -lz -lncurses -lSM -lICE -lXft -lX11 -lfreetype
-lXrender -lgtk-x11-2.0 -lfontconfig -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0
-lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgnomevfs-2
-lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0
/usr/lib/libpopt.so: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[3]: *** [gnome-terminal] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/gnome-terminal-2.7.3/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gnome-terminal-2.7.3/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gnome-terminal-2.7.3'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.30370 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.30370 (%build)


Version-Release number of selected component (if applicable):
gnome-terminal-2.7.3-1

How reproducible:
100%

Steps to Reproduce:
1. rpmbuild -bb gnome-terminal.spec
2. rebuild exits with error above
3. notice that libpopt.so is 32-bit

Additional info:
I would expect it to be looking for /usr/lib64/libpopt.so.
Comment 1 Ray Strode [halfline] 2005-08-10 22:26:32 EDT
When stuff like this happens it's usually a badly written/wrong pkgconfig .pc
file from a dependency.  I'll poke around and see what I can find.
Comment 5 Ray Strode [halfline] 2005-08-11 11:38:43 EDT
Okay, so I've worked around this by using the system installed libtool instead
of the libtool generated by configure and by forcing CC=gcc.

I guess it's some sort of weird libtool bug.

It's commited into CVS, so the fix should go out next time gnome-terminal needs
an erratum in a quarterly update.

Note You need to log in before you can comment on or make changes to this bug.